## Guidelines for submitting patches

Please submit any patches against meta-intel BSPs to the
[meta-intel mailing list](https://lists.yoctoproject.org/g/meta-intel)
(email: meta-intel@lists.yoctoproject.org). Also, if your patches are
available via a public git repository, please also include a URL to
the repo and branch containing your patches as that makes it easier
for maintainers to grab and test your patches.

The patches should follow the suggestions outlined in the
[Yocto Project and OpenEmbedded Contributor Guide](https://docs.yoctoproject.org/dev/contributor-guide/index.html).
In addition, for any non-trivial patch, provide information about how you
tested the patch, and for any non-trivial or non-obvious testing
setup, provide details of that setup.

Doing a quick 'git log' in meta-intel will provide you with many
examples of good example commits if you have questions about any
aspect of the preferred format.

The meta-intel maintainers will do their best to review and/or pull in
a patch or patch sets within 24 hours of the time it was posted.  For
larger and/or more involved patches and patch sets, the review process
may take longer.

Please see the [MAINTAINERS](MAINTAINERS.md)  for the list of maintainers. It's also
a good idea to cc: the maintainer, if applicable.
